Ubuntu install been around a while



  • I setup exactly one Ubuntu server because that is what I need for the UniFi controller to have best support.

    Every time you upgrade the distribution, it comments out the 3rd party packages and leaves a note.

    [email protected]:~$ cat /etc/apt/sources.list.d/200-mongo.list
    ## Debian
    # deb http://downloads-distro.mongodb.org/repo/debian-sysvinit dist 10gen # disabled on upgrade to wily disabled on upgrade to xenial disabled on upgrade to yakkety
    
    ## Ubuntu
    # deb http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist 10gen # disabled on upgrade to wily disabled on upgrade to xenial disabled on upgrade to yakkety
    
    • Original install 15.??
    • Upgraded to 15.10 wily
    • Upgraded to 16.04.1 xenial
    • Upgraded to 16.10 yakkety


  • I have a script I run that will remove them. Then I do the upgrade and add them back in via a script. I run a Ubuntu Server for the exact same reason you do. For a Unifi Controller